Create a priority
The request allows you to create a new priority for issues.
POST
https://api.tracker.yandex.net/v3/priorities/
You need Administrator rights to run this request.
Request format
Before making the request, get access to the API.
To create a priority, use an HTTP request with the POST method. In the request body, specify the parameters in JSON format:
POST /v3/priorities/
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth-token>
Content-Type: application/json
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
{
"name": {
"en": "English name",
"ru": "Название на русском"
},
"key": "one",
"order": 60,
"description": "Description"
}
Headers
-
Host: address of the node that provides the API. -
Authorization: Authorization token about these formats:-
OAuth <OAuth_token>: For authorization using the OAuth 2.0 protocol. Learn more -
Bearer <IAM_token>: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. Learn more
-
-
X-Org-IDorX-Cloud-Org-ID: Organization ID.-
Use the
X-Org-IDheader if a Tracker organization is linked to Yandex 360 for Business. -
Use the
X-Cloud-Org-IDheader if a Tracker organization is linked to Yandex Cloud Organization.
To get the organization ID, go to Administration → Organizations and copy the value from the ID field.
-
Request body parameters
The request body contains the information needed to create a new priority.
Required parameters
| Parameter | Description | Data type |
|---|---|---|
| name | Priority name | Object |
| key | Priority key | String |
| order | Priority weight. This parameter affects the order in which the priority is displayed in the interface | Number |
| description | Priority description | String |
Fields of the name object
| Parameter | Description | Data type |
|---|---|---|
| en | Priority name in English | String |
| ru | Priority name in Russian | String |
Response format
If the request is successful, the API returns a response with code 201 Created.
The request body contains information about the created priority in JSON format.
{
"self": "https://api.tracker.yandex.net/v3/priorities/6",
"id": 6,
"key": "one",
"version": 1,
"name": "Название на русском",
"description": "Description",
"order": 60
}
Response parameters
| Parameter | Description | Data type |
|---|---|---|
| self | The address of the API resource that contains information about the priority | String |
| id | Unique priority ID in Tracker | Number |
| key | Priority key | String |
| version | Priority version | Number |
| name | Priority name | String |
| description | Priority description | String |
| order | Priority weight. This parameter affects the order in which the priority is displayed in the interface | Number |
- 404
- The requested object was not found. You may have specified an invalid object ID or key.
- 409
- There was a conflict when editing the object. The error may be due to an invalid update version.